# Arduino-mixer
Arduino gadget to control the Windows audio mixer using Python

## Setup
### Arduino
#### What you'll need
- Arduino Nano or compatible
- Nokia 5110 LCD
- Rotary encoder with push-button
- Two push-buttons
- 4 x 10K Resistor
- 2 x 1K Resistor

#### Circuit
I used the following pins, but you can use whichever you like

##### Display
- VCC - 3.3v
- GND - GND
- SCE - 1K - D17
- RST - 10K - D18
- D/C - 10K - D19
- DIN - 10K - D9
- SCLK - 10K - D8
- LED - 1K - D5 (This pin must be PWM capable!)

#### Encoder & Push-buttons
Encoder pins A and B should be connected to interrupt capable pins if possible

- Encoder A - D2
- Encoder C - GND
- Encoder B - D3
- Encoder button - D4 
- Push-Button 1 - D6
- Push-Button 2 - D7

### Windows
Install Python 3 and run `pip install pycaw` to install pycaw by Andre Miras.
You can than run the script from the master directory by running `python ./src/python/start.py`

You can change settings such as the id for automatic connection and custom names for programs in `res/data.json`
